base64_decode
get_headers
URL Functions
PHP Manual

# base64_encode

(PHP 4, PHP 5)

base64_encode — Encodes data with MIME base64

### Description

string base64_encode ( string `$data` )

Encodes the given `data` with base64.

This encoding is designed to make binary data survive transport through transport layers that are not 8-bit clean, such as mail bodies.

Base64-encoded data takes about 33% more space than the original data.

### Parameters

`data`

  The data to encode.

### Return Values

The encoded data, as a string or `FALSE` on failure.

### Examples

Example #1 base64_encode() example

`<?php
$str = 'This is an encoded string';
echo base64_encode($str);
?>`

The above example will output:

    VGhpcyBpcyBhbiBlbmNvZGVkIHN0cmluZw==

### See Also

- base64_decode() - Decodes data encoded with MIME base64
- chunk_split() - Split a string into smaller chunks
- convert_uuencode() - Uuencode a string
- » RFC 2045 section 6.8

base64_decode
get_headers
URL Functions
PHP Manual